Loading...
Searching...
No Matches
deprecated
Core

deprecated std:: wrappers for backwards-compatibility only More...

## Classes

struct | Ogre::deque< T >
struct | Ogre::list< T >
struct | Ogre::map< K, V, P >
struct | Ogre::multimap< K, V, P >
struct | Ogre::set< T, P >
struct | Ogre::SPFMDeleteT
struct | Ogre::SPFMNone
struct | Ogre::vector< T >

## Macros

#define | OGRE_HashMap ::std::unordered_map
#define | OGRE_HashMultiMap ::std::unordered_multimap
#define | OGRE_HashMultiSet ::std::unordered_multiset
#define | OGRE_HashSet ::std::unordered_set

## Typedefs

template<class T>
using | Ogre::AtomicScalar = std::atomic<T>
typedef std::map< int, MaterialPtr > | Ogre::QuadMaterialMap
typedef uint16 | Ogre::SceneTypeMask
| Bitmask containing scene types.

## Enumerations

enum | Ogre::SceneType { Ogre::ST_GENERIC = 1 , Ogre::ST_EXTERIOR_CLOSE = 2 , Ogre::ST_EXTERIOR_FAR = 4 , Ogre::ST_EXTERIOR_REAL_FAR = 8 , Ogre::ST_INTERIOR = 16 }

## Variables

const SPFMDeleteT | Ogre::SPFM_DELETE_T
const SPFMNone | Ogre::SPFM_NONE

## Detailed Description

deprecated std:: wrappers for backwards-compatibility only

## Macro Definition Documentation

## OGRE_HashMap

#define OGRE_HashMap ::std::unordered_map

## OGRE_HashMultiMap

#define OGRE_HashMultiMap ::std::unordered_multimap

## OGRE_HashSet

#define OGRE_HashSet ::std::unordered_set

## OGRE_HashMultiSet

#define OGRE_HashMultiSet ::std::unordered_multiset

## Typedef Documentation

## AtomicScalar

template<class T>

using Ogre::AtomicScalar = std::atomic<T>

## QuadMaterialMap

typedef std::map<int, MaterialPtr> Ogre::QuadMaterialMap

## SceneTypeMask

typedef uint16 Ogre::SceneTypeMask

Bitmask containing scene types.

## Enumeration Type Documentation

## SceneType

enum Ogre::SceneType

Enumerator
ST_GENERIC |
ST_EXTERIOR_CLOSE |
ST_EXTERIOR_FAR |
ST_EXTERIOR_REAL_FAR |
ST_INTERIOR |

## Variable Documentation

## SPFM_NONE

const SPFMNone Ogre::SPFM_NONE

## SPFM_DELETE_T

const SPFMDeleteT Ogre::SPFM_DELETE_T